# List companies

### Input

User needs to provide search phrase and search mode. The search phrase should be detailed enough to find a specific company, in the case of generic search phrases, an error is returned.

<table><thead><tr><th width="148">Attribute</th><th width="259">Type</th><th>Description</th></tr></thead><tbody><tr><td>search</td><td>String</td><td>Search phrase (at least 3 characters)</td></tr><tr><td>searchMode</td><td>String</td><td><p>Search mode:</p><ul><li><code>ALL_KEYWORDS</code></li><li><code>ANY_KEYWORD</code></li><li><code>PATTERN</code> - when provided, <code>search</code> phrase should contains <code>%</code> symbol which includes any number of characters following or preceding a given search phrase eg. %ferrari%</li></ul></td></tr><tr><td>tradeBoards</td><td>String</td><td>Comma separated values which symbols of Italian Chambers of Commerce that narrow searching scope eg. <code>MI,BR,PC</code> (optional)</td></tr></tbody></table>

### Output

#### ListCompaniesRI

Contains details about individual companies registered in the Registro Imprese (RI)

| Attribute | Type  | Description                                                                     |
| --------- | ----- | ------------------------------------------------------------------------------- |
| companies | Array | An array of objects containing detailed information about individual companies. |

**Companies**

An array of objects containing detailed information about individual companies.

| Attribute        | Type   | Description                                             |
| ---------------- | ------ | ------------------------------------------------------- |
| enterpriseNumber | Number | Sequence number                                         |
| companyDetails   | Object | Contains detailed information about a specific company. |

**CompanyDetails**

Contains detailed information about a specific company.

| Attribute                           | Type   | Description                                                     |
| ----------------------------------- | ------ | --------------------------------------------------------------- |
| chamberOfCommerce                   | String | The chamber of commerce where the company is registered.        |
| chamberDescription                  | String | Description of the chamber of commerce.                         |
| rea                                 | String | Registro delle Imprese (REA) number.                            |
| name                                | String | The name of the company.                                        |
| provinceCode                        | String | The province code where the company is located.                 |
| provinceDescription                 | String | Description of the province where the company is located.       |
| taxCode                             | String | The tax code of the company.                                    |
| vatNumber                           | String | The VAT number of the company.                                  |
| legalStatus                         | String | The legal status code of the company.                           |
| legalStatusDescription              | String | Description of the legal status of the company.                 |
| source                              | String | The source of registration of the company.                      |
| sourceDescription                   | String | Description of the registration source.                         |
| activityStatus                      | String | The activity status code of the company.                        |
| activityStatusDescription           | String | Description of the activity status of the company.              |
| registeredActivityStatus            | String | The registered activity status code of the company.             |
| registeredActivityStatusDescription | String | Description of the registered activity status of the company.   |
| declaredActivity                    | String | The declared activity of the company.                           |
| atecoClassification                 | Array  | An array containing ATECO classification details.               |
| headquartersAddress                 | Object | Contains details about the headquarters address of the company. |
| certifiedMailAddress                | String | The certified mail address of the company.                      |

**AtecoClassification**

Contains ATECO classification details.

| Attribute           | Type   | Description                      |
| ------------------- | ------ | -------------------------------- |
| codingCode          | String | The ATECO coding code.           |
| codingDescription   | String | Description of the ATECO coding. |
| activityCode        | String | The activity code.               |
| activityDescription | String | Description of the activity.     |

**HeadquartersAddress**

Contains details about the headquarters address of the company.

| Attribute           | Type   | Description                                                                   |
| ------------------- | ------ | ----------------------------------------------------------------------------- |
| provinceCode        | String | The province code of the headquarters address.                                |
| provinceDescription | String | Description of the province of the headquarters address.                      |
| cityCode            | String | The city code of the headquarters address.                                    |
| cityDescription     | String | Description of the city of the headquarters address.                          |
| toponymCode         | String | The toponym code of the headquarters address.                                 |
| toponymDescription  | String | Description of the toponym of the headquarters address.                       |
| street              | String | The street name of the headquarters address.                                  |
| streetNumber        | String | The street number of the headquarters address.                                |
| postalCode          | String | The postal code of the headquarters address.                                  |
| fraction            | String | Additional information about the headquarters address fraction, if available. |

<br>

```json
{
    "infocamere": {
        "listCompaniesRI": {
            "companies": [
                {
                    "enterpriseNumber": 3,
                    "companyDetails": {
                        "chamberOfCommerce": "BG",
                        "chamberDescription": "BERGAMO",
                        "rea": "134667",
                        "name": "BREMBO S.P.A.",
                        "provinceCode": "BG",
                        "provinceDescription": "BERGAMO",
                        "taxCode": "00222620163",
                        "vatNumber": "00222620163",
                        "legalStatus": "SP",
                        "legalStatusDescription": "SOCIETA' PER AZIONI",
                        "source": "RI",
                        "sourceDescription": "Registro Imprese",
                        "activityStatus": "R",
                        "activityStatusDescription": "Registrata",
                        "registeredActivityStatus": "A",
                        "registeredActivityStatusDescription": "Attiva",
                        "declaredActivity": "FABBRICAZIONE DI ALTRE PARTI ED ACCESSORI PER AUTOVEICOLI E LORO MOTORI NCA",
                        "atecoClassification": [
                            {
                                "codingCode": "07",
                                "codingDescription": "Classificazione ATECO RI 2007",
                                "activityCode": "29.32.09",
                                "activityDescription": "Fabbricazione di altre parti ed accessori per autoveicoli e loro motori nca"
                            }
                        ],
                        "headquartersAddress": {
                            "provinceCode": "BG",
                            "provinceDescription": "BERGAMO",
                            "cityCode": "BG089",
                            "cityDescription": "CURNO",
                            "toponymCode": "VIA",
                            "toponymDescription": "VIA",
                            "street": "BREMBO",
                            "streetNumber": "25",
                            "postalCode": "24035"
                        },
                        "certifiedMailAddress": "BREMBOSPA@PEC.BREMBO.IT"
                    }
                }
            ]
        }
    }
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.transactionlink.io/docs/v1/integrations/infocamere/company-profile/list-companies.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
